#!/bin/sh -ev
export PRECISION=1e-6

cp ../BOSIN01 bosin
cp ../../source/f90/eels-boson .
cp ../../source/f90/eelsf90 .
cp ../../source/f90/bosonf90 .

cp ../EELSIN01 eelsin
./eels-boson
cp bosou eelsbosou
./eelsf90
./bosonf90
numdiff -r $PRECISION eelsbosou1 eelsbosou
numdiff -r $PRECISION eelsou1 eelsou
numdiff -r $PRECISION bosou1 bosou

cp ../EELSIN02 eelsin
./eels-boson
cp bosou eelsbosou
./eelsf90
./bosonf90
numdiff -r $PRECISION eelsbosou2 eelsbosou
numdiff -r $PRECISION eelsou2 eelsou
numdiff -r $PRECISION bosou2 bosou

cp ../EELSIN03 eelsin
./eels-boson
cp bosou eelsbosou
./eelsf90
./bosonf90
numdiff -r $PRECISION eelsbosou3 eelsbosou
numdiff -r $PRECISION eelsou3 eelsou
numdiff -r $PRECISION bosou3 bosou

rm -f bosin eelsin
rm -f eels-boson eelsf90 bosonf90
rm -f eelsbosou eelsou bosou
